Description

A quite considerable number of records contains strange content in the source field, e.g. see

https://openportal.isti.cnr.it/results?qv=info%3Acnr

Please, check what is going wrong.

It seems the issue is in the data exposed by OIA-PMH, e.g. 

OpenPortal 

https://openportal.isti.cnr.it/results?option=com_dnetindexclient&view=doc&id=people______::aa38d500de088aafbd8eb8dda75

1a9c2

OAI-PMH Record 

http://www.cnr.it/oai-pmh/oai2.php?verb=GetRecord&metadataPrefix=oai_dc&identifier=oai:it.cnr:prodotti:138984

Dunno whether we can do something to fix this. We should contact People guys I guess

History

#1 - May 16, 2019 03:56 PM - Leonardo Candela

- Status changed from New to In Progress

An early investigation revealed that 

the source value seems to be automatically generated out of the rest of the information stored in the other fields;

there are two source fields in the native records, one containing the field codes with field values and one containing the results of a function

aiming at building a suitable source string;

the transformation script sometimes removes one of the source fields;

Corrective actions include:

to reconsider the transformation script thus to not remove the source field with the value containing the suitable source information;

to provide the People team with examples of problematic source information;

#2 - May 16, 2019 04:03 PM - Michele Artini

- % Done changed from 0 to 90

I updated the transformation script.

Now I consider only sources with length > 10 and not starting with info:cnr-pdr/source

#3 - May 24, 2019 02:40 PM - Leonardo Candela

I see the fix is already in production and I'm wondering why the ticket was not closed. What is still missing? 

Dunno if the decision to not diplaying a source at all (in the case it's length is <= 10) is a proper decision or it should be better to report a string like

"Source: not available." 

How many are the records without a "proper" source?  

#4 - Nov 02, 2021 01:49 PM - Leonardo Candela

- Status changed from In Progress to Closed
- % Done changed from 10 to 100

Going to close this now ... it is useless to keep it open
